#global _internal_version      4f741eb

%global dbus_glib_version      0.74
%global redhat_menus_version   5.0.1
%global libgnomekbd_version    2.91.1

Summary: Cinnamon Screensaver
Name:    cinnamon-screensaver
Version: 2.0.3
Release: 1%{?dist}
License: GPLv2+ and LGPLv2+
URL:     http://cinnamon.linuxmint.com

#Because linuxmint upstream refuses to host pristine upstream tarballs
#wget https://github.com/linuxmint/cinnamon-screensaver/archive/%{version}.tar.gz -O cinnamon-screensaver-%{version}.tar.gz
# for git
# wget https://github.com/linuxmint/cinnamon-screensaver/tarball/%%{_internal_version} -O cinnamon-screensaver-%%{version}.git%%{_internal_version}.tar.gz
Source0: http://leigh123linux.fedorapeople.org/pub/cinnamon-screensaver/source/%{name}-%{version}.tar.gz

Patch0:  cinnamon-screensaver-2.20.0-selinux-permit.patch
Patch1:  systemd-lock-fixes.patch


BuildRequires: pkgconfig(dbus-glib-1) >= %{dbus_glib_version}
BuildRequires: pkgconfig(cinnamon-desktop)
BuildRequires: pkgconfig(nss)
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(libgnomekbd) >= %{libgnomekbd_version}
BuildRequires: pkgconfig(libsystemd-login)
# this is here because the configure tests look for protocol headers
BuildRequires: pkgconfig(libxklavier)
BuildRequires: pkgconfig(xxf86misc)
BuildRequires: pkgconfig(xxf86vm)
BuildRequires: pkgconfig(xtst)
BuildRequires: desktop-file-utils
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: pam-devel

Requires: cinnamon-translations
Requires: redhat-menus >= %{redhat_menus_version}
# since we use it, and pam spams the log if a module is missing
Requires: gnome-keyring-pam
Conflicts: xscreensaver < 1:5.00-19


%description
cinnamon-screensaver is a screen saver and locker.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
echo "ACLOCAL_AMFLAGS = -I m4" >> Makefile.am
echo "AC_CONFIG_MACRO_DIR([m4])" >> configure.ac

NOCONFIGURE=1 ./autogen.sh

%build
%configure --with-mit-ext=no --without-console-kit
make V=1 %{?_smp_mflags}

%install
%{make_install}

desktop-file-install                                     \
  --delete-original                                      \
  --remove-only-show-in=Xfce                             \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications          \
  $RPM_BUILD_ROOT%{_datadir}/applications/cinnamon-screensaver.desktop


%files
%doc AUTHORS NEWS README COPYING
%{_bindir}/cinnamon-screensaver*
%{_datadir}/applications/cinnamon-screensaver.desktop
%{_datadir}/dbus-1/services/org.cinnamon.ScreenSaver.service
%{_libexecdir}/cinnamon-screensaver-dialog
%config %{_sysconfdir}/pam.d/cinnamon-screensaver
%{_mandir}/man1/cinnamon-screensaver*.1.*

%changelog
* Wed Oct 30 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.3-1
- update to 2.0.3
- add patch to fix suspend locking

* Thu Oct 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.2-1
- update to 2.0.2

* Fri Oct 18 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.1-1
- update to 2.0.1

* Thu Oct 17 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-2
- Stop starting in gnome-shell as it pissed off the gnome devs

* Wed Oct 02 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-1
- update to 2.0.0

* Mon Sep 30 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.1-1
- 1.9.1

* Sun Sep 15 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.1-0.2.git4f741eb
- update to latest git
- add requires cinnamon-translations

* Sun Aug 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.1-0.1.git94ca899
- update to latest git
- Change buildrequires to cinnamon-desktop-devel
- Change requires to cinnamon-desktop

* Thu Aug 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-5
- rebuilt

* Sun Jul 28 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-4
- disable console-kit in configure
- add systemd patch

* Mon Jul 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-3
- fix prep warnings

* Mon Jul 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-2
- fix prep warnings

* Thu Jan 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-1
- Initial build

